// <reference types="geojson">
/**
  * Convert GeoJSON object to GEOS geometry pointer.
  * @param geojson - The GeoJSON object.
  * @param geos - The GEOS module object.
  * @returns number - A pointer to GEOS geometry.
    */
  export function geojsonToGeosGeom(geojson: GeoJSON, geos: geos): number;
 /**
  * Convert GEOS geometry pointer to GeoJSON object.
  * @param geomPtr - The GEOS geometry pointer.
  * @param geos - The GEOS module object.
  * @returns GeoJSON - A GeoJSON object.
    */
  export function geosGeomToGeojson(geomPtr: number, geos: geos): GeoJSON;

export default {
  geojsonToGeosGeom,
  geosGeomToGeojson
}
